open Protocol
open Tk
open Widget
type jtkOptions =
	KanjiFont of string		(* tk option: -font <string> *)
type kanjiCode =
	ANY		(* tk option: ANY *)
	| EUC		(* tk option: EUC *)
	| JIS		(* tk option: JIS *)
	| SJIS		(* tk option: SJIS *)
(* Autodetection of Japanese mode or default (Latin) mode *)
val is_japanese_mode : unit -> bool

module Kanji : sig
(* The kanji commands  *)
val canvas_item : widget -> tagOrId -> jtkOptions list -> unit 
(* tk invocation: <widget> itemconfigure <tagOrId> <jtkOptions list> *)

val code : string -> kanjiCode 
(* tk invocation: kanji code <string> *)

val conversion : kanjiCode -> kanjiCode -> string -> string 
(* tk invocation: kanji conversion <kanjiCode> <kanjiCode> <string> *)

val internal_code_get : kanjiCode -> kanjiCode 
(* tk invocation: kanji internalCode <kanjiCode> *)

val internal_code_set : kanjiCode -> unit 
(* tk invocation: kanji internalCode <kanjiCode> *)

val menu_entry : widget -> index -> jtkOptions list -> unit 
(* tk invocation: <widget> entryconfigure <index> <jtkOptions list> *)

val string_length : string -> int 
(* tk invocation: kanji string length <string> *)

val text_tag : widget -> textTag -> jtkOptions list -> unit 
(* tk invocation: <widget> tag configure <textTag> <jtkOptions list> *)

val widget_kanjifont : widget -> jtkOptions list -> unit 
(* tk invocation: <widget> configure <jtkOptions list> *)

end

