open Protocol
open Tk
open Widget
type font = string
val cCAMLtoTKfont : string -> Protocol.tkArgs
val cTKtoCAMLfont : string -> string

 
type weight =
	Bold		(* tk option: bold *)
	| Medium		(* tk option: medium *)
	| Normal		(* tk option: normal *)
type slant =
	Italic		(* tk option: italic *)
	| Roman		(* tk option: roman *)
type fontOptions =
	Charset of string		(* tk option: -charset <string> *)
	| Compound of font list		(* tk option: -compound {<font list>} *)
	| Copy of string		(* tk option: -copy <string> *)
	| Family of string		(* tk option: -family <string> *)
	| Overstrike of bool		(* tk option: -overstrike <bool> *)
	| Size of int		(* tk option: -size <int> *)
	| Slant of slant		(* tk option: -slant <slant> *)
	| Underline of bool		(* tk option: -underline <bool> *)
	| Weight of weight		(* tk option: -weight <weight> *)
module Font : sig
(* The font commands  *)
val actual : font -> fontOptions list -> string 
(* tk invocation: font actual <font> <fontOptions list> *)

val actual_displayof : font -> widget -> fontOptions list -> string 
(* tk invocation: font actual <font> -displayof <widget> <fontOptions list> *)

val configure : font -> fontOptions list -> unit 
(* tk invocation: font configure <font> <fontOptions list> *)

val create : fontOptions list -> font 
(* tk invocation: font create <fontOptions list> *)

val delete : font -> unit 
(* tk invocation: font delete <font> *)

val failsafe : string -> unit 
(* tk invocation: font failsafe <string> *)

val families : unit ->string list 
(* tk invocation: font families *)

val families_displayof : widget -> string list 
(* tk invocation: font families -displayof <widget> *)

val measure : font -> string -> int 
(* tk invocation: font measure <font> <string> *)

val measure_displayof : font -> widget -> string -> int 
(* tk invocation: font measure <font> -displayof <widget> <string> *)

val metrics : font -> string -> int 
(* tk invocation: font metrics <font> <string> *)

val metrics_displayof : font -> widget -> string -> int 
(* tk invocation: font metrics <font> -displayof <widget> <string> *)

val metrics_linespace : font -> int 
(* tk invocation: font metrics <font> -linespace *)

val names : unit ->string list 
(* tk invocation: font names *)

end

